ResponseMimeTypesApi (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.web.api

## [Groovy] Class ResponseMimeTypesApi

- org.codehaus.groovy.grails.plugins.web.api.ResponseMimeTypesApi

- Methods added to javax.servlet.http.HttpServletResponse for response format handling.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.regex.Pattern` | `disableForUserAgents` |
    `protected boolean` | `useAcceptHeader` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MimeTypesApiSupport` | `apiSupport`
    `GrailsApplication` | `grailsApplication`
    `MimeType[]` | `mimeTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResponseMimeTypesApi ()` Initialize with default settings
    `ResponseMimeTypesApi (GrailsApplication application, MimeType[] types)` Initialize with settings provided by GrailsApplication and the given MimeType[]

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getFormat(javax.servlet.http.HttpServletResponse response)` Obtains the format to use for the response using either the file extension or the ACCEPT header
    `MimeType` | `getMimeType(javax.servlet.http.HttpServletResponse response)` Obtains the MimeType for the response using either the file extension or the ACCEPT header
    `MimeType` | `getMimeTypeForRequest(GrailsWebRequest webRequest)`
    `MimeType[]` | `getMimeTypes()`
    `MimeType[]` | `getMimeTypes(javax.servlet.http.HttpServletResponse response)` Gets the configured mime types for the response
    `MimeType[]` | `getMimeTypesFormatAware(javax.servlet.http.HttpServletResponse response)` Gets the configured mime types for the response
    `protected void` | `loadConfig()`
    `java.lang.Object` | `withFormat(javax.servlet.http.HttpServletResponse response, groovy.lang.Closure callable)` Allows for the response.withFormat { } syntax

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.regex.Pattern disableForUserAgents

    - #### protected boolean useAcceptHeader

  - ### Property Detail

    - #### MimeTypesApiSupport apiSupport

    - #### GrailsApplication grailsApplication

    - #### MimeType[] mimeTypes

  - ### Constructor Detail

    - #### ResponseMimeTypesApi()

      Initialize with default settings

    - #### ResponseMimeTypesApi(GrailsApplication application, MimeType[] types)

      Initialize with settings provided by GrailsApplication and the given MimeType[]

      Parameters:
        `application` - The GrailsApplication
        `mimeTypes` - The mime types

  - ### Method Detail

    - #### java.lang.String getFormat(javax.servlet.http.HttpServletResponse response)

      Obtains the format to use for the response using either the file extension or the ACCEPT header

      Parameters:
        `response` - The response
      Returns:
        The request format

    - #### MimeType getMimeType(javax.servlet.http.HttpServletResponse response)

      Obtains the MimeType for the response using either the file extension or the ACCEPT header

      Parameters:
        `response` - The response
      Returns:
        The MimeType

    - #### MimeType getMimeTypeForRequest(GrailsWebRequest webRequest)

    - #### MimeType[] getMimeTypes()

    - #### MimeType[] getMimeTypes(javax.servlet.http.HttpServletResponse response)

      Gets the configured mime types for the response

      Parameters:
        `response` - The response
      Returns:
        The configured mime types

    - #### MimeType[] getMimeTypesFormatAware(javax.servlet.http.HttpServletResponse response)

      Gets the configured mime types for the response

      Parameters:
        `response` - The response
      Returns:
        The configured mime types

    - #### protected void loadConfig()

    - #### java.lang.Object withFormat(javax.servlet.http.HttpServletResponse response, groovy.lang.Closure callable)

      Allows for the response.withFormat { } syntax

      Parameters:
        `response` - The response
        `callable` - A closure
      Returns:
        The result of the closure call